apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
  - ../../base

namespace: workclub-dev

commonLabels:
  environment: development

images:
  - name: workclub-api
    newTag: dev
  - name: workclub-frontend
    newTag: dev

replicas:
  - name: workclub-api
    count: 1
  - name: workclub-frontend
    count: 1

patches:
  - path: patches/backend-resources.yaml
    target:
      kind: Deployment
      name: workclub-api
  - path: patches/frontend-resources.yaml
    target:
      kind: Deployment
      name: workclub-frontend
